php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #28700 yaz recode conflict
Submitted: 2004-06-08 18:02 UTC Modified: 2004-12-21 03:53 UTC
Votes:4
Avg. Score:4.0 ± 1.0
Reproduced:3 of 4 (75.0%)
Same Version:0 (0.0%)
Same OS:3 (100.0%)
From: teuber at devicen dot de Assigned:
Status: Closed Package: *Compile Issues
PHP Version: 5.0.0RC2 OS: linux
Private report: No CVE-ID: None
 [2004-06-08 18:02 UTC] teuber at devicen dot de
Description:
------------
configure complained about conflicts between
yaz and recode.

i dont configured YAZ but i configured recode support.

checking libexpat dir for XMLRPC-EPI... /usr
checking iconv dir for XMLRPC-EPI... no
checking for XSL support... no
checking whether to include YP support... no
configure: error: recode extension can not be configured together with: yaz
make: *** No targets specified and no makefile found.  Stop.
core:~/src # cd php-5.0.0RC3/



./configure \
--with-apxs=$SERVER_ROOT/bin/apxs \
--with-ttf \
--with-pgsql \
--with-oracle \
--with-mm \
--with-oci8 \
--with-ftp \
--with-xml \
--with-ldap \
--with-zlib \
--with-dbase \
--with-config-file-path=$SERVER_ROOT/php5 \
--with-exec-dir=$SERVER_ROOT/php5/php-bin \
--with-expat-dir=/usr \
--with-png-dir=/usr \
--with-pear=$SERVER_ROOT/php5/pear \
--with-recode \
--enable-soap \
--enable-track-vars \
--enable-sysvsem \
--enable-sysvshm \
--enable-ftp \
--enable-bcmath \
--with-db \
--with-db4 \
--with-gdbm \
--enable-trans-sid \
--with-mcrypt \
--with-gd \
--with-mysql=no




Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2004-06-09 09:30 UTC] derick@php.net
Thank you for taking the time to write to us, but this is not
a bug. Please double-check the documentation available at
http://www.php.net/manual/ and the instructions on how to report
a bug at http://bugs.php.net/how-to-report.php

When using them both at the same time it will cause crashes. You will need to get one of the packages to fix the resolving symbols, after we contacted them they were not cooperative so we had to guard against using them together ourselves.
 [2004-07-17 18:27 UTC] kettler at gmx dot net
This bug is not bogus:

When doing "./configure --with-recode", part of ext/recode/config9.m4 will complain about not being able to be used with the yaz extension.

The yaz extension is not included with PHP anymore, so the check for $PHP_YAZ will not see the required "no", but will instead see an empty variable(no PHP_ARG_WITH(yaz,...) in configure). This will prevent anyone from compiling with the recode extension.

This bug is still present in the current CVS tree.

Solution: Remove the check for the yaz extension from ext/recode/config9.m4.
 [2004-11-24 22:49 UTC] chuck at horizonlinux dot org
I have enabled mysql and imap in my ./configure 


I removed the YAZ check in the configure script but 
I get the same message as I did for YAZ.
( without YAZ error )

I need mysql and imap support.

Would it be safe to just remove the error msg and let the configuration script go along with this ?


thanks
Charles
 [2004-12-21 03:53 UTC] sniper@php.net
This bug has been fixed in CVS.

Snapshots of the sources are packaged every three hours; this change
will be in the next snapshot. You can grab the snapshot at
http://snaps.php.net/.
 
Thank you for the report, and for helping us make PHP better.


 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Sat Dec 04 11:03:33 2021 UTC